Bug 145333 - 'nscd -i hosts' does not interrupt in-progress DNS queries with new information
'nscd -i hosts' does not interrupt in-progress DNS queries with new information
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
bzcl34nup
:
: 145332 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 10:26 EST by Dan Williams
Modified: 2008-05-06 20:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:05:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2005-01-17 10:26:19 EST
When /etc/resolv.conf changes, calling 'nscd -i hosts', or even
'service nscd restart' does not interrupt in-progress DNS queries and
return current information.  Those calls have to time out and be
re-run before they become aware of new nameserver information.

See
https://www.redhat.com/archives/fedora-test-list/2005-January/msg00400.html
for more details.

Caching nameservers work just fine with this.
Comment 1 Jakub Jelinek 2005-01-17 11:54:52 EST
*** Bug 145332 has been marked as a duplicate of this bug. ***
Comment 5 Jakub Jelinek 2005-01-21 10:30:38 EST
FYI, it is mainly not nscd where it takes that long to timeout (the timeout
clients use against nscd is 5 seconds), so the patch I wrote for nscd -i
is not very helpful.  But if an application times out waiting for nscd to
answer, it does the DNS lookup on its own, and there no cancellation of the
nscd pending requests helps.
Comment 6 Bug Zapper 2008-04-03 11:49:29 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 20:05:27 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.